pqxx::string_traits< std::string > Struct Reference

`#include <strconv.hxx>`

## Static Public Member Functions

static constexpr const char * | name () noexcept
static constexpr bool | has_null () noexcept
static bool | is_null (const std::string &)
static std::string | null ()
static void | from_string (const char Str[], std::string &Obj)
static std::string | to_string (const std::string &Obj)

## Member Function Documentation

## from_string()

static void pqxx::string_traits< std::string >::from_string | ( | const char | Str[],
|  | std::string & | Obj
| ) |  |

static

## has_null()

static constexpr bool pqxx::string_traits< std::string >::has_null | ( |  | ) |

static constexpr noexcept

## is_null()

static bool pqxx::string_traits< std::string >::is_null | ( | const std::string & |  | ) |

static

## name()

static constexpr const char* pqxx::string_traits< std::string >::name | ( |  | ) |

static constexpr noexcept

## null()

static std::string pqxx::string_traits< std::string >::null | ( |  | ) |

static

References pqxx::internal::throw_null_conversion().

## to_string()

static std::string pqxx::string_traits< std::string >::to_string | ( | const std::string & | Obj | ) |

static

The documentation for this struct was generated from the following file:

- strconv.hxx